Runs
Run events
List execution events without prompt or result content, oldest first in the order they happened.
GET
/
v1
/
executions
/
{executionId}
/
events
Run events
curl --request GET \
--url https://api.getmillwork.dev/v1/executions/{executionId}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions/{executionId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"at": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"execution_id": "<string>",
"type": "lifecycle",
"acted_by": "<string>",
"candidate_skipped": {
"arm_id": "<string>",
"attempt": 2,
"candidate_index": 1,
"reason": "arm_not_ready"
},
"mode": "live",
"reason": "<string>",
"recorded_check": {
"recorded_at": "2023-11-07T05:31:56Z",
"state": "customer_verdict",
"anchor_results": {},
"attempted_verifier_id": "<string>",
"check_id": "<string>",
"customer_check_selected": false,
"execution_id": "<string>",
"failure_class": "authentication",
"identity": "platform.echo",
"is_correct": true,
"lifecycle_state": "accepted",
"no_evaluation_attempted": true,
"output_present": true,
"pending": true,
"quality_score": 123,
"reason": "no_eligible_arms",
"verifier_id": "<string>"
},
"slice_id": "<string>",
"state": "accepted",
"verification_check": {
"activity": "customer",
"arm_id": "<string>",
"attempt": 123,
"check_id": "<string>",
"failure_class": "authentication",
"is_correct": true,
"outcome": "valid_verdict",
"phase": "candidate",
"quality_score": 123,
"verifier_hash": "<string>",
"verifier_id": "<string>"
}
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}⌘I
Run events
curl --request GET \
--url https://api.getmillwork.dev/v1/executions/{executionId}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions/{executionId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"at": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"execution_id": "<string>",
"type": "lifecycle",
"acted_by": "<string>",
"candidate_skipped": {
"arm_id": "<string>",
"attempt": 2,
"candidate_index": 1,
"reason": "arm_not_ready"
},
"mode": "live",
"reason": "<string>",
"recorded_check": {
"recorded_at": "2023-11-07T05:31:56Z",
"state": "customer_verdict",
"anchor_results": {},
"attempted_verifier_id": "<string>",
"check_id": "<string>",
"customer_check_selected": false,
"execution_id": "<string>",
"failure_class": "authentication",
"identity": "platform.echo",
"is_correct": true,
"lifecycle_state": "accepted",
"no_evaluation_attempted": true,
"output_present": true,
"pending": true,
"quality_score": 123,
"reason": "no_eligible_arms",
"verifier_id": "<string>"
},
"slice_id": "<string>",
"state": "accepted",
"verification_check": {
"activity": "customer",
"arm_id": "<string>",
"attempt": 123,
"check_id": "<string>",
"failure_class": "authentication",
"is_correct": true,
"outcome": "valid_verdict",
"phase": "candidate",
"quality_score": 123,
"verifier_hash": "<string>",
"verifier_id": "<string>"
}
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}